Subject: Re: bug#41744: 27.0.91; Various D-Bus cleanups

From: Michael Albinus <[email-masked]>
Date: Mon, 08 Jun 2020 16:20:09 +0200

"Basil L. Contovounesios" <[email-masked]> writes:

Hi Basil,

>> The changed formatting of the examples exceeds sometimes 80 columns,
>> maybe you can adapt the formatting.
>
> None of my changes increase the width of either text or examples.  The
> only example touched by the patch which already exceeds 80 columns is
> this:
>
> @lisp
> (@var{integer} ((@var{string} @var{bool} @var{bool}) (@var{string}
> @var{bool} @var{bool}) @dots{}))
> @end lisp
>
> But I left it alone because the result is less than 60 columns wide and
> looks nice to me:
>
>      (INTEGER ((STRING BOOL BOOL) (STRING BOOL BOOL) ...))
>
> Can you please point out which parts you want reformatted?

I'm speaking about (info "(dbus) Introspection")
See the example of dbus-introspect-get-attribute. I would move the
arguments of dbus-introspect-xml into the next line.

> Sure, thanks,

Best regards, Michael.